/*
 * Class REFACTORING_HELPER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_657 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_657 [] = {0xFF01,1551,656,0xFFFF};
static const EIF_TYPE_INDEX egt_2_657 [] = {0xFF01,656,0xFFFF};
static const EIF_TYPE_INDEX egt_3_657 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_657 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_657 [] = {0xFF01,656,0xFFFF};
static const EIF_TYPE_INDEX egt_6_657 [] = {0xFF01,656,0xFFFF};
static const EIF_TYPE_INDEX egt_7_657 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_657 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_657 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_657 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_657 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_657 [] = {0xFF01,656,0xFFFF};


static const struct desc_info desc_657[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_657), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_657), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_657), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_657), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_657), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_657), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_657), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_657), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_657), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_657), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_657), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_657), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0521 /*656*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_657), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
};
void Init657(void)
{
	IDSC(desc_657, 0, 656);
	IDSC(desc_657 + 1, 1, 656);
	IDSC(desc_657 + 32, 590, 656);
}


#ifdef __cplusplus
}
#endif
